package com.zfire.mall.manager.bean.valid;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

@Target({ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = NotBeforeTodayValidator.class) // 指定验证器
@Documented
public @interface NotBeforeToday {
    String message() default "日期不能早于当天"; // 默认错误信息

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
